LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   error: The important program kde-config was not found! (http://www.linuxquestions.org/questions/slackware-14/error-the-important-program-kde-config-was-not-found-779417/)

wubai 01-02-2010 10:02 AM

error: The important program kde-config was not found!
 
Hi,all!

I'm tring to install "ktranslator-0.4" on my slackware64-13.0. When I type in ./configure I get the following mesgs with error:

checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for -p flag to install... yes
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for kde-config... not found
configure: error: The important program kde-config was not found!
Please check whether you installed KDE correctly.

What is this kde-config and how do I fix it ?

thanks !

mlangdn 01-02-2010 10:16 AM

kde-config is for the kde-3x series. Slackware64-13.0 has kde4-config in /usr/bin. Is there a newer version of ktranslator? Or maybe try a symlink to kde4-config.

wubai 01-02-2010 10:29 AM

@mlangdn:
thanks first !

This ktranslator-0.4 is the latest one . I tried a symlink to kde4-config like you said, it did work, "kde-config was not found" error seems solved . at the end of ./configure i got another error :

checking for Qt... configure: error: Qt (>= Qt 3.3 and < 4.0) (headers and libraries) not found. Please check your installation!

any idea ? or any alternative for ktranslator in kde enviorenment ?

mlangdn 01-02-2010 10:41 AM

Ok - on the Slackware64-13.0 installation CD, go into the /extra/kde3-compat directory and install the qt3-3.38b-x86_64-opt2.txz package. Delete that symlink and the configure log and try again.

wubai 01-02-2010 11:10 AM

hey, i'm sorry i'm late .
i did what you told me , i deleted that symlink(i don't understand why) , "the kde-config not found" error come up, i made a link again, but the second problem still come up

what should I do ?

mlangdn 01-02-2010 11:43 AM

Did you run as root:

Code:

ldconfig
before you started the build? Its a good idea to always run this command after a software install to inform the system of new libraries. I should have added that.

mlangdn 01-02-2010 12:01 PM

Well, I tried to compile it myself, but I'm not having any luck either. I've pointed it to the qt dir in /opt and that didn't work. I'm still trying.

mlangdn 01-02-2010 12:19 PM

I'm not using a symlink, but I am getting the qt error.
I also installed everything except k3b in the /extra directory. That's why I don't get the kde-config error. I have no clue why configure is not finding qt. This is the code I ran:

Code:

./configure --with-qt-dir=/opt/kde3/lib64/qt3-3.3.8b --with-qt-libraries=/opt/kde3/lib64/qt3-3.3.8b/lib --with-qt-includes=/opt/kde3/lib64/qt3-3.3.8b/include/
Maybe someone else will know.

knudfl 01-02-2010 02:48 PM

Slackware 13 ..
Code:

grep kde-config /var/log/packages/*
/var/log/packages/kdelibs3-3.5.10-x86_64-opt2:opt/kde3/bin/kde-config
/var/log/packages/kdevelop3-3.5.3-i486-3:opt/kde3/share/apps/kdevappwizard/template-common/kde-configure.in.in

' opt/kde3/bin/kde-config ' is provided by kdelibs3-3.5.10-x86_64-opt2
( The "x86_64" is a typo in the 'x86' package name. )
.. So just install the kdelibs3-3.5.10-x86_64... for a start.


There is no 'kde-config' in QT3 . !
Never was .. never will be. KDE is just a qt based application.
.....

wubai 01-02-2010 06:00 PM

Quote:

Originally Posted by mlangdn (Post 3811711)
Did you run as root:

Code:

ldconfig
before you started the build? Its a good idea to always run this command after a software install to inform the system of new libraries. I should have added that.

yeah, i know this command and did run it before my compiling, like you said, couldn't have any lucky.

i know there is another dict software that named stardict, i run it very well on my ubuntu before i run slackware, but it requires much gtk libs and i gave up. i really want a local dictionary, any other alternative ?

mlangdn 01-02-2010 11:42 PM

I didn't have any luck either. The compile fails at the qt error. I have no idea what to do next.

Nille_kungen 01-03-2010 12:18 AM

kde-config is in kdelibs3 in extra.
If you can't make it work then try add LDFLAGS

knudfl 01-03-2010 03:45 AM

ktranslator-0.4
 
cd ktranslator-0.4/
./configure
make CC=/usr/gcc34/bin/gcc34 CXX=/usr/gcc34/bin/g++34
http://connie.slackware.com/~alien/s...s/gcc34/pkg64/

'ktranslator-0.4' is very old code, hence gcc, g++ 3.4.6

'ktranslator-0.4' will link against ..
libkparts.so.2 , libkio.so.4 , libkdeui.so.4 , libkdesu.so.4
libkwalletclient.so.1 , libkdecore.so.4 , libDCOP.so.4 ,
libkdefx.so.4 , etc. ..

Install kdelibs3-3.5.10 , else no ktranslator.
.....

wubai 11-12-2012 07:29 PM

Thanks very much!


All times are GMT -5. The time now is 01:35 AM.